Subject: Re: [PATCH RFC] Per route TCP options

From: Gilad Ben-Yossef <[email-masked]>
Date: Tue, 20 Oct 2009 18:11:30 +0200

Eric Dumazet wrote:

> Gilad Ben-Yossef a écrit :
>   
>> Turn the global sysctls allowing disabling of TCP SACK, DSCAK,
>> time stamp and window scale into per route entry feature options,
>> laying the ground to future removal of the relevant global sysctls.
>>
>> ...
> Interesting... But you should give numbers to your patches so that we know their order
>   
Will do.
> You could also do the ECN part for consistency (ie RTAX_FEATURE_ECN -> RTAX_FEATURE_NO_ECN)
>   
That and  sysctl_tcp_mtu_probing are on my todo list, assuming the 
general direction is accepted, of course.

Specifically, I couldn't understand why sysctl_tcp_ecn is documented to 
be a boolean value, but is initialized to 2 and queried with if 
(sysctl_tcp_ecn == 1) so I decided to let it be until I figure it out... 
;-)
> And please post iproute2 patches as well :)
>   
Will do. Note that the patch I have still has an ugly bit that needs 
addressing - it sets the features by name, but right now only displays 
numeric values to the, for "show". This of course will be fixed, but it 
does work for testing.

Thanks,
Gilad

-- 
Gilad Ben-Yossef
Chief Coffee Drinker & CTO
Codefidence Ltd.

Web:   http://codefidence.com
Cell:  +972-52-8260388
Skype: gilad_codefidence
Tel:   +972-8-9316883 ext. 201
Fax:   +972-8-9316884
Email: [email-masked]

Check out our Open Source technology and training blog - http://tuxology.net

	"Sorry cannot parse this, its too long to be true  :)"
	  -- Eric Dumazet on netdev mailing list